NAME
OpenAPI::Client::OpenAI::Path::organization-invites-invite_id - Documentation for the /organization/invites/{invite_id} path.
OPERATIONS
DELETE /organization/invites/{invite_id}
delete-invite
$client->delete_invite({
body => { ... },
});
Delete an invite. If the invite has already been accepted, it cannot be deleted.
Path/query parameters
invite_id(in path, required, string) - The ID of the invite to delete.
Responses
200 - Invite deleted successfully.
Content-Type: application/json
Example:
{
"deleted" : false,
"id" : "string",
"object" : "organization.invite.deleted"
}
GET /organization/invites/{invite_id}
retrieve-invite
$client->retrieve_invite({
body => { ... },
});
Retrieves an invite.
Path/query parameters
invite_id(in path, required, string) - The ID of the invite to retrieve.
Responses
200 - Invite retrieved successfully.
Content-Type: application/json
Example:
{
"accepted_at" : 1711471533,
"created_at" : 1711471533,
"email" : "user@example.com",
"expires_at" : 1711471533,
"id" : "invite-abc",
"object" : "organization.invite",
"projects" : [
{
"id" : "project-xyz",
"role" : "member"
}
],
"role" : "owner",
"status" : "accepted"
}
SCHEMAS
Invite
Properties:
accepted_at(anyOf) - The Unix timestamp (in seconds) of when the invite was accepted.created_at(integer, required) - The Unix timestamp (in seconds) of when the invite was sent.email(string, required) - The email address of the individual to whom the invite was sentexpires_at(anyOf) - The Unix timestamp (in seconds) of when the invite expires.id(string, required) - The identifier, which can be referenced in API endpointsobject(string, required) - The object type, which is alwaysorganization.inviteAllowed values: organization.invite
projects(array of object, required) - The projects that were granted membership upon acceptance of the invite.role(string, required) -ownerorreaderAllowed values: owner, reader
status(string, required) -accepted,expired, orpendingAllowed values: accepted, expired, pending
InviteDeleteResponse
Properties:
deleted(boolean, required)id(string, required)object(string, required) - The object type, which is alwaysorganization.invite.deletedAllowed values: organization.invite.deleted
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.